Page MenuHomePhabricator

Add filter group for 'Last revision' to the RC Filters
Closed, ResolvedPublic8 Story Points

Description

Enable 'New filters for edit review" users to identify/filter for the last change on a given page (aka the "top" change). Suggested wording:

Last revision

Last revision
The most recent change to a page.

Earlier revisions
All changes that are not the most recent change to a page.

Functionality

  • The "Earlier revisisions" option finds EVERYTHING that is not a "Last revision" change. I.e., together, these two provide total coverage.
  • Position in menu: insert after the "Significance" group

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 21 2017, 3:42 PM

As part of T159444, I noticed this kind of functionality on "user contributions" page. As part of the prototype with additional filtering capabilities, I included a filter in this area:

I think the filter names describe the intent, butI was not very convinced about how to name the group ("recency in page") to describe that we do not refer to the latest changes in general but on a per page basis.

While seeing your prototype demo, I was thinking that this option should be in the "Show last X changes" dropdown, with other options like reverse ordering.

Pginer-WMF renamed this task from Integrate topOnly=1, to show only last edits done on a page to Support viewing only the last revisions done on a page in the new filters for edit review.Apr 26 2017, 9:00 AM
Pginer-WMF updated the task description. (Show Details)

While seeing your prototype demo, I was thinking that this option should be in the "Show last X changes" dropdown, with other options like reverse ordering.

I was more inclined to present these as filters since it seems more a property of the content than the visualisation options. Having it as a filter provides the flexibility of focusing only on those results or highlighting them. Having said that, we can explore multiple options.

In any case, I have renamed the title of the ticket to make it more clear to those not familiar with the "topOnly" parameter name and added as part of T162675

Having it as a filter provides the flexibility of focusing only on those results or highlighting them. Having said that, we can explore multiple options.

Oh, yes, good point!

jmatazzoni renamed this task from Support viewing only the last revisions done on a page in the new filters for edit review to Add filter group for 'Last revision' to the RC Filters.Apr 27 2017, 12:20 AM
jmatazzoni updated the task description. (Show Details)
Catrope set the point value for this task to 8.Apr 28 2017, 9:59 PM

Change 351165 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: Last revision filter group

https://gerrit.wikimedia.org/r/351165

Change 351165 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Last revision filter group

https://gerrit.wikimedia.org/r/351165

Change 351722 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: always join with 'page'

https://gerrit.wikimedia.org/r/351722

Change 351722 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: always join with 'page'

https://gerrit.wikimedia.org/r/351722

Zache added a subscriber: Zache.May 4 2017, 3:17 PM
Etonkovidova added a subscriber: Etonkovidova.EditedMay 16 2017, 10:45 PM

QA Recommendation: Product should weigh in

@jmatazzoni Below I summarized the points that can be confusing for users; the points are not bugs.

(1) 'Last revision' return not all new pages marked with 'N' .
'Page creation' filter returns all new pages - 'N' letter is displayed:

'Page creation' and 'Last revision' filters return only subset of new pages; at least not all 'N' marked pages would be returned.

(2) (the screenshots below are done at the same time with different filter selections).
Some log entries will be returned with 'Last revision' filter: Protection log, Move log, and Import log.

Other log entries will be returned with 'Earlier revisions' - User creation log, Global rights log, Content model change log, and Pending changes log:

Other log entries will not be returned with either of 'Last revision' or 'Earlier revisions' : User creation log, Deletion log, Block log, and Edit filter log. The log entries from those logs will be returned when both 'Last revision' or 'Earlier revisions' filters are selected.

(3) The name for the group 'Last revision' is the same as the name of the first filter in the group - does the name fully reflect what two filters ('Last revision' and 'Earlier revisions') do?

jmatazzoni closed this task as Resolved.May 27 2017, 12:02 AM